package de.winniepat.citrus;

import net.fabricmc.api.*;

import java.io.IOException;

public class ClientEntrypoint implements ModInitializer, ClientModInitializer {

    /*
    *
    * Hier nichts reinschreiben, sonst gibt es Cockschelle!
    * Wenn ihr was initializen wollt macht das in der Instance direkt:
    * Client.java in der init()
    *
    * Hier ist nur Client instance!!
    *
     */

    private static Client client;

    @Override
    public void onInitialize() {
        System.out.println("Mod initialized");
        client = new Client();
    }

    @Override
    public void onInitializeClient() {
        try {
            client.init();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        System.out.println("Client initialized");
    }

    protected static Client getClient() {
        return client;
    }
}
